<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:06 CET 2009 -->
<TITLE>
MatMatrix
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.jsmat.variable.MatMatrix class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="MatMatrix";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MatMatrix.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatDoubleMatrix.html" title="class in ch.javasoft.jsmat.variable"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.MatGenericMatrix.html" title="class in ch.javasoft.jsmat.variable"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/jsmat/variable/MatMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.jsmat.variable</FONT>
<BR>
Class MatMatrix&lt;A&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">ch.javasoft.jsmat.variable.MatVariable</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/jsmat/variable/MatAllocated.html" title="class in ch.javasoft.jsmat.variable">ch.javasoft.jsmat.variable.MatAllocated</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.jsmat.variable.MatMatrix&lt;A&gt;</B>
</PRE>
<DL>
<DT><DT><B>Type Parameters:</B><DD><CODE>A</CODE> - the matrix type, typically an array of a java primitive type</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../ch/javasoft/jsmat/variable/MatCharMatrix.html" title="class in ch.javasoft.jsmat.variable">MatCharMatrix</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatDoubleMatrix.html" title="class in ch.javasoft.jsmat.variable">MatDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.MatGenericMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix.MatGenericMatrix</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.51"><B>MatMatrix&lt;A&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/jsmat/variable/MatAllocated.html" title="class in ch.javasoft.jsmat.variable">MatAllocated</A></DL>
</PRE>

<P>
A <tt>MatMatrix</tt> is a matrix with data. The data must be allocated when
 instantiating the matrix, that is, it is kept in memory. They are simple to
 use, but <A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedMatrix.html" title="class in ch.javasoft.jsmat.variable"><CODE>MatReservedMatrix</CODE></A> might be an option for large matrices
 which allow writing the data piecewise without preallocating it in memory.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.MatGenericMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix.MatGenericMatrix</A>&lt;<A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.MatGenericMatrix.html" title="type parameter in MatMatrix.MatGenericMatrix">A</A>&gt;</B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Generic class for internal use in static create...</TD>
</TR>
</TABLE>
&nbsp;<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/jsmat/common/MatType.html" title="enum in ch.javasoft.jsmat.common">MatType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html#mMatType">mMatType</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.jsmat.variable.MatVariable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.jsmat.variable.<A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">MatVariable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#DEFAULT_NAME">DEFAULT_NAME</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#mDims">mDims</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#mMatClass">mMatClass</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html#MatMatrix(ch.javasoft.jsmat.common.MatClass, ch.javasoft.jsmat.common.MatType, int[])">MatMatrix</A></B>(<A HREF="../../../../ch/javasoft/jsmat/common/MatClass.html" title="enum in ch.javasoft.jsmat.common">MatClass</A>&nbsp;matClass,
                   <A HREF="../../../../ch/javasoft/jsmat/common/MatType.html" title="enum in ch.javasoft.jsmat.common">MatType</A>&nbsp;matType,
                   int[]&nbsp;dims)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;double[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html#createDoubleMatrix(double[], int[])">createDoubleMatrix</A></B>(double[]&nbsp;values,
                                     int[]&nbsp;dims)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a double matrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;double[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html#createDoubleMatrix(double[], int, int)">createDoubleMatrix</A></B>(double[]&nbsp;values,
                                     int&nbsp;rows,
                                     int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a double matrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;int[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html#createIntMatrix(int[], int[])">createIntMatrix</A></B>(int[]&nbsp;values,
                               int[]&nbsp;dims)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a integer matrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;int[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html#createIntMatrix(int[], int, int)">createIntMatrix</A></B>(int[]&nbsp;values,
                               int&nbsp;rows,
                               int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a integer matrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;char[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html#createUtf8Matrix(byte[])">createUtf8Matrix</A></B>(byte[]&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a utf8 encoded character matrix with 1 row</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;char[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html#createUtf8Matrix(byte[], int[])">createUtf8Matrix</A></B>(byte[]&nbsp;values,
                                 int[]&nbsp;dims)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a utf8 encoded character matrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html#getMatrixSize()">getMatrixSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the matrix size, typically the overall array length of the 
 underlying data</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html#getRawDataSize()">getRawDataSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html#writeRawData(java.io.DataOutput)">writeRawData</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Write the raw data to the given output, excluding type, size, name etc.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.jsmat.variable.MatAllocated"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.jsmat.variable.<A HREF="../../../../ch/javasoft/jsmat/variable/MatAllocated.html" title="class in ch.javasoft.jsmat.variable">MatAllocated</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatAllocated.html#write(java.lang.String, java.io.DataOutput)">write</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.jsmat.variable.MatVariable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.jsmat.variable.<A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">MatVariable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#checkRawDataSizeOverflow(int)">checkRawDataSizeOverflow</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#checkValueLength(int)">checkValueLength</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#getDimLength()">getDimLength</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#getFlags()">getFlags</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#getSize(java.lang.String)">getSize</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#writeStart(java.lang.String, java.io.DataOutput)">writeStart</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="mMatType"><!-- --></A><H3>
mMatType</H3>
<PRE>
protected final <A HREF="../../../../ch/javasoft/jsmat/common/MatType.html" title="enum in ch.javasoft.jsmat.common">MatType</A> <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.53"><B>mMatType</B></A></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="MatMatrix(ch.javasoft.jsmat.common.MatClass, ch.javasoft.jsmat.common.MatType, int[])"><!-- --></A><H3>
MatMatrix</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.55"><B>MatMatrix</B></A>(<A HREF="../../../../ch/javasoft/jsmat/common/MatClass.html" title="enum in ch.javasoft.jsmat.common">MatClass</A>&nbsp;matClass,
                 <A HREF="../../../../ch/javasoft/jsmat/common/MatType.html" title="enum in ch.javasoft.jsmat.common">MatType</A>&nbsp;matType,
                 int[]&nbsp;dims)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getRawDataSize()"><!-- --></A><H3>
getRawDataSize</H3>
<PRE>
protected int <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.65"><B>getRawDataSize</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#getRawDataSize()">getRawDataSize</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">MatVariable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>size of raw data excluding type(4) and size(4) and name</DL>
</DD>
</DL>
<HR>

<A NAME="getMatrixSize()"><!-- --></A><H3>
getMatrixSize</H3>
<PRE>
protected abstract int <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.73"><B>getMatrixSize</B></A>()</PRE>
<DL>
<DD>Returns the matrix size, typically the overall array length of the 
 underlying data
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="writeRawData(java.io.DataOutput)"><!-- --></A><H3>
writeRawData</H3>
<PRE>
public abstract void <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.83"><B>writeRawData</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)
                           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Write the raw data to the given output, excluding type, size, name etc.
 This method is implemented by the type specific subclasses.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatAllocated.html#writeRawData(java.io.DataOutput)">writeRawData</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatAllocated.html" title="class in ch.javasoft.jsmat.variable">MatAllocated</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>out</CODE> - the data output to write to
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if any io exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="createDoubleMatrix(double[], int, int)"><!-- --></A><H3>
createDoubleMatrix</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;double[]&gt; <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.109"><B>createDoubleMatrix</B></A>(double[]&nbsp;values,
                                                     int&nbsp;rows,
                                                     int&nbsp;cols)</PRE>
<DL>
<DD>Creates a double matrix
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>values</CODE> - the data values, column packed (FORTRAN like)<DD><CODE>rows</CODE> - number of rows<DD><CODE>cols</CODE> - number of columns
<DT><B>Returns:</B><DD>the double matrix</DL>
</DD>
</DL>
<HR>

<A NAME="createDoubleMatrix(double[], int[])"><!-- --></A><H3>
createDoubleMatrix</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;double[]&gt; <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.119"><B>createDoubleMatrix</B></A>(double[]&nbsp;values,
                                                     int[]&nbsp;dims)</PRE>
<DL>
<DD>Creates a double matrix
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>values</CODE> - the data values, column packed (FORTRAN like)<DD><CODE>dims</CODE> - the dimensions
<DT><B>Returns:</B><DD>the double matrix</DL>
</DD>
</DL>
<HR>

<A NAME="createIntMatrix(int[], int, int)"><!-- --></A><H3>
createIntMatrix</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;int[]&gt; <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.147"><B>createIntMatrix</B></A>(int[]&nbsp;values,
                                               int&nbsp;rows,
                                               int&nbsp;cols)</PRE>
<DL>
<DD>Creates a integer matrix
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>values</CODE> - the data values, column packed (FORTRAN like)<DD><CODE>rows</CODE> - number of rows<DD><CODE>cols</CODE> - number of columns
<DT><B>Returns:</B><DD>the integer matrix</DL>
</DD>
</DL>
<HR>

<A NAME="createIntMatrix(int[], int[])"><!-- --></A><H3>
createIntMatrix</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;int[]&gt; <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.157"><B>createIntMatrix</B></A>(int[]&nbsp;values,
                                               int[]&nbsp;dims)</PRE>
<DL>
<DD>Creates a integer matrix
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>values</CODE> - the data values, column packed (FORTRAN like)<DD><CODE>dims</CODE> - the dimensions
<DT><B>Returns:</B><DD>the integer matrix</DL>
</DD>
</DL>
<HR>

<A NAME="createUtf8Matrix(byte[])"><!-- --></A><H3>
createUtf8Matrix</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;char[]&gt; <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.178"><B>createUtf8Matrix</B></A>(byte[]&nbsp;values)</PRE>
<DL>
<DD>Creates a utf8 encoded character matrix with 1 row
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>values</CODE> - the data values, column packed (FORTRAN like)
<DT><B>Returns:</B><DD>the utf8 encoded character matrix</DL>
</DD>
</DL>
<HR>

<A NAME="createUtf8Matrix(byte[], int[])"><!-- --></A><H3>
createUtf8Matrix</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.html" title="class in ch.javasoft.jsmat.variable">MatMatrix</A>&lt;char[]&gt; <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatMatrix.html#line.188"><B>createUtf8Matrix</B></A>(byte[]&nbsp;values,
                                          int[]&nbsp;dims)</PRE>
<DL>
<DD>Creates a utf8 encoded character matrix
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>values</CODE> - the data values, column packed (FORTRAN like)<DD><CODE>dims</CODE> - the dimensions
<DT><B>Returns:</B><DD>the utf8 encoded character matrix</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MatMatrix.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatDoubleMatrix.html" title="class in ch.javasoft.jsmat.variable"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatMatrix.MatGenericMatrix.html" title="class in ch.javasoft.jsmat.variable"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/jsmat/variable/MatMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
